#include <stdio.h>
#include "HitAndBlow.h"
#include <random>

//乱数を使用して配列ansに1~9の値を設定
void HitAndBlow::setAns(){
	for(int i =0; i<3; i++){
		ans[i] = 1 + (int)(rand()*(9-1+1.0)/(1.0+RAND_MAX));
	}
}

//キーボードで入力した値をnum配列に格納する
void HitAndBlow:: inputNum() {
	scanf("%d",num);
	scanf("%d",num+1);
	scanf("%d",num+2);
}

//num配列とans配列を比較し「hit」を調べる
void HitAndBlow:: checkHit() {
	hit = 0;
	for(int i=0; i<3; i++) {
		if(ans[i] == num[i]) {
			hit++;
		}
	}
}

//num配列とans配列を比較し「blow」を調べる
void HitAndBlow:: checkBlow() {
	blow = 0;
	if(ans[0] == num[1] || ans[0] == num[2]) {
		blow++;
	}
	if(ans[1] == num[0] || ans[1] == num[2]) {
		blow++;
	}
	if(ans[2] == num[0] || ans[2] == num[1]) {
		blow++;
	}
}

//hitの数とblowの数を表示する
void HitAndBlow:: print() {
	printf("hit:%d blow:%d\n", hit, blow);
}

//キーボードから値が正しく入力されるまで繰り返す
void HitAndBlow:: Input() {
	do{
				printf("スペース区切りで1~9の３つの数字を入力してください\n");
				scanf("%s",input1);
				scanf("%s",input2);
				scanf("%s",input3);
	}while(checkInput() == false);

	//input1~3を出力
	printf("%d\n%d\n%d\n",input1[0],input2[0],input3[0]);
	printf("通りました");
}

//JISコードで1~9の数字かをチェックする
bool HitAndBlow:: checkInput() {
	return (48<input1[0] && input1[0] <58 &&
		48<input2[0] && input2[0] <58 &&
		48<input3[0] && input3[0] <58);
}

int main() {
	HitAndBlow  hitAndBlow;
	//答えの設定
	hitAndBlow.setAns();
	hitAndBlow.Input();

	printf( "%s\n",hitAndBlow.checkInput());

	/*
	//「hit」が3 になるまで実行
	while (hitAndBlow.hit < 3) {
		//数字を3つキーボード入力
		hitAndBlow.inputNum();
		//hit数を調べる
		hitAndBlow.checkHit();
		//blow数を調べる
		hitAndBlow.checkBlow();
		//結果を表示する
		hitAndBlow.print();
	}
	*/
	return 0;
}

